<template>
  <v-list>
    <v-list-item class="px-2">
      <v-list-item-content class="align-center">
        <div class="d-flex justify-center ma-0">
          <v-avatar size="48" color="secondary">
            <span class="white--text text-h6">
              {{ fullName.charAt(0) }}
            </span>
          </v-avatar>
        </div>
      </v-list-item-content>
    </v-list-item>

    <v-list-item>
      <v-list-item-content>
        <span class="text-body-1 white--text text-center">
          {{ fullName }}
        </span>
      </v-list-item-content>
    </v-list-item>
  </v-list>
</template>

<script>

export default {
  name: 'Profile',
  computed: {
    fullName() {
      const { name, lastnames } = this.$auth.user ?? {};
      return `${name} ${lastnames}`;
    },
  },
};
</script>
